# Stream_from_HomeScope_to_HomeScope

Code to stream video from one Microscope to another client using VLC player.
Suppose we are sitting at **Alice** and the microscope **wants to stream video** of its biological culture to
another microscope running a VLC client app (**Bob**).


## At Alice

At the Linux terminal running on Alice type the following command:

> `libcamera-vid -t 0 --width 1920 --height 1080 --codec h264 --inline --listen -o tcp://0.0.0.0:8888`

With this commnad we tell Alice to bradcast a stream on port 8888 using the TCP protocol. 
The `0.0.0.0` is the loopback (self) address. 

## At Bob

Now, at the linux terminal of Bob, we tell the shell to run `VLC` and use it to listen 
to the broadcast at port `8888` of the IP address of Alice `ALICE_IP_ADDRESS` 

> `vlc tcp/h264://ALICE_IP_ADDRESS:8888/`

To get the name and IP address of Alice, while you are on its Linux shell, type:

> `hostname && hostname -I`
